[android-components](../index.md) / [mozilla.components.browser.storage.memory](./index.md)

## Package mozilla.components.browser.storage.memory

### Types

| Name | Summary |
|---|---|
| [InMemoryHistoryStorage](-in-memory-history-storage/index.md) | `class InMemoryHistoryStorage : `[`HistoryStorage`](../mozilla.components.concept.storage/-history-storage/index.md)<br>An in-memory implementation of [mozilla.components.concept.storage.HistoryStorage](../mozilla.components.concept.storage/-history-storage/index.md). |
| [Visit](-visit/index.md) | `data class Visit` |

### Properties

| Name | Summary |
|---|---|
| [AUTOCOMPLETE_SOURCE_NAME](-a-u-t-o-c-o-m-p-l-e-t-e_-s-o-u-r-c-e_-n-a-m-e.md) | `const val AUTOCOMPLETE_SOURCE_NAME: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
